diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/tutorial/first.py ns-3.44/examples/tutorial/first.py
--- ns-3.43/examples/tutorial/first.py	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/tutorial/first.py	2025-03-09 16:55:49.335371000 -0700
@@ -41,18 +41,18 @@
 echoServer = ns.UdpEchoServerHelper(9)
 
 serverApps = echoServer.Install(nodes.Get(1))
-serverApps.Start(ns.Seconds(1.0))
-serverApps.Stop(ns.Seconds(10.0))
+serverApps.Start(ns.Seconds(1))
+serverApps.Stop(ns.Seconds(10))
 
 address = interfaces.GetAddress(1).ConvertTo()
 echoClient = ns.UdpEchoClientHelper(address, 9)
 echoClient.SetAttribute("MaxPackets", ns.UintegerValue(1))
-echoClient.SetAttribute("Interval", ns.TimeValue(ns.Seconds(1.0)))
+echoClient.SetAttribute("Interval", ns.TimeValue(ns.Seconds(1)))
 echoClient.SetAttribute("PacketSize", ns.UintegerValue(1024))
 
 clientApps = echoClient.Install(nodes.Get(0))
-clientApps.Start(ns.Seconds(2.0))
-clientApps.Stop(ns.Seconds(10.0))
+clientApps.Start(ns.Seconds(2))
+clientApps.Stop(ns.Seconds(10))
 
 ns.Simulator.Run()
 ns.Simulator.Destroy()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/tutorial/fourth.cc ns-3.44/examples/tutorial/fourth.cc
--- ns-3.43/examples/tutorial/fourth.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/tutorial/fourth.cc	2025-03-09 16:55:49.335371000 -0700
@@ -20,7 +20,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId()
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/tutorial/second.cc ns-3.44/examples/tutorial/second.cc
--- ns-3.43/examples/tutorial/second.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/tutorial/second.cc	2025-03-09 16:55:49.335371000 -0700
@@ -79,17 +79,17 @@
     UdpEchoServerHelper echoServer(9);
 
     ApplicationContainer serverApps = echoServer.Install(csmaNodes.Get(nCsma));
-    serverApps.Start(Seconds(1.0));
-    serverApps.Stop(Seconds(10.0));
+    serverApps.Start(Seconds(1));
+    serverApps.Stop(Seconds(10));
 
     UdpEchoClientHelper echoClient(csmaInterfaces.GetAddress(nCsma), 9);
     echoClient.SetAttribute("MaxPackets", UintegerValue(1));
-    echoClient.SetAttribute("Interval", TimeValue(Seconds(1.0)));
+    echoClient.SetAttribute("Interval", TimeValue(Seconds(1)));
     echoClient.SetAttribute("PacketSize", UintegerValue(1024));
 
     ApplicationContainer clientApps = echoClient.Install(p2pNodes.Get(0));
-    clientApps.Start(Seconds(2.0));
-    clientApps.Stop(Seconds(10.0));
+    clientApps.Start(Seconds(2));
+    clientApps.Stop(Seconds(10));
 
     Ipv4GlobalRoutingHelper::PopulateRoutingTables();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/tutorial/second.py ns-3.44/examples/tutorial/second.py
--- ns-3.43/examples/tutorial/second.py	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/tutorial/second.py	2025-03-09 16:55:49.335371000 -0700
@@ -69,17 +69,17 @@
 echoServer = ns.UdpEchoServerHelper(9)
 
 serverApps = echoServer.Install(csmaNodes.Get(nCsma.value))
-serverApps.Start(ns.Seconds(1.0))
-serverApps.Stop(ns.Seconds(10.0))
+serverApps.Start(ns.Seconds(1))
+serverApps.Stop(ns.Seconds(10))
 
 echoClient = ns.UdpEchoClientHelper(csmaInterfaces.GetAddress(nCsma.value).ConvertTo(), 9)
 echoClient.SetAttribute("MaxPackets", ns.UintegerValue(1))
-echoClient.SetAttribute("Interval", ns.TimeValue(ns.Seconds(1.0)))
+echoClient.SetAttribute("Interval", ns.TimeValue(ns.Seconds(1)))
 echoClient.SetAttribute("PacketSize", ns.UintegerValue(1024))
 
 clientApps = echoClient.Install(p2pNodes.Get(0))
-clientApps.Start(ns.Seconds(2.0))
-clientApps.Stop(ns.Seconds(10.0))
+clientApps.Start(ns.Seconds(2))
+clientApps.Stop(ns.Seconds(10))
 
 ns.Ipv4GlobalRoutingHelper.PopulateRoutingTables()
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/tutorial/seventh.cc ns-3.44/examples/tutorial/seventh.cc
--- ns-3.43/examples/tutorial/seventh.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/tutorial/seventh.cc	2025-03-09 16:55:49.335371000 -0700
@@ -58,9 +58,9 @@
 /**
  * Congestion window change callback
  *
- * \param stream The output stream file.
- * \param oldCwnd Old congestion window.
- * \param newCwnd New congestion window.
+ * @param stream The output stream file.
+ * @param oldCwnd Old congestion window.
+ * @param newCwnd New congestion window.
  */
 static void
 CwndChange(Ptr<OutputStreamWrapper> stream, uint32_t oldCwnd, uint32_t newCwnd)
@@ -73,8 +73,8 @@
 /**
  * Rx drop callback
  *
- * \param file The output PCAP file.
- * \param p The dropped packet.
+ * @param file The output PCAP file.
+ * @param p The dropped packet.
  */
 static void
 RxDrop(Ptr<PcapFileWrapper> file, Ptr<const Packet> p)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/tutorial/sixth.cc ns-3.44/examples/tutorial/sixth.cc
--- ns-3.43/examples/tutorial/sixth.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/tutorial/sixth.cc	2025-03-09 16:55:49.335371000 -0700
@@ -54,9 +54,9 @@
 /**
  * Congestion window change callback
  *
- * \param stream The output stream file.
- * \param oldCwnd Old congestion window.
- * \param newCwnd New congestion window.
+ * @param stream The output stream file.
+ * @param oldCwnd Old congestion window.
+ * @param newCwnd New congestion window.
  */
 static void
 CwndChange(Ptr<OutputStreamWrapper> stream, uint32_t oldCwnd, uint32_t newCwnd)
@@ -69,8 +69,8 @@
 /**
  * Rx drop callback
  *
- * \param file The output PCAP file.
- * \param p The dropped packet.
+ * @param file The output PCAP file.
+ * @param p The dropped packet.
  */
 static void
 RxDrop(Ptr<PcapFileWrapper> file, Ptr<const Packet> p)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/tutorial/third.cc ns-3.44/examples/tutorial/third.cc
--- ns-3.43/examples/tutorial/third.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/tutorial/third.cc	2025-03-09 16:55:49.335371000 -0700
@@ -147,21 +147,21 @@
     UdpEchoServerHelper echoServer(9);
 
     ApplicationContainer serverApps = echoServer.Install(csmaNodes.Get(nCsma));
-    serverApps.Start(Seconds(1.0));
-    serverApps.Stop(Seconds(10.0));
+    serverApps.Start(Seconds(1));
+    serverApps.Stop(Seconds(10));
 
     UdpEchoClientHelper echoClient(csmaInterfaces.GetAddress(nCsma), 9);
     echoClient.SetAttribute("MaxPackets", UintegerValue(1));
-    echoClient.SetAttribute("Interval", TimeValue(Seconds(1.0)));
+    echoClient.SetAttribute("Interval", TimeValue(Seconds(1)));
     echoClient.SetAttribute("PacketSize", UintegerValue(1024));
 
     ApplicationContainer clientApps = echoClient.Install(wifiStaNodes.Get(nWifi - 1));
-    clientApps.Start(Seconds(2.0));
-    clientApps.Stop(Seconds(10.0));
+    clientApps.Start(Seconds(2));
+    clientApps.Stop(Seconds(10));
 
     Ipv4GlobalRoutingHelper::PopulateRoutingTables();
 
-    Simulator::Stop(Seconds(10.0));
+    Simulator::Stop(Seconds(10));
 
     if (tracing)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/tutorial/third.py ns-3.44/examples/tutorial/third.py
--- ns-3.43/examples/tutorial/third.py	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/tutorial/third.py	2025-03-09 16:55:49.335371000 -0700
@@ -135,21 +135,21 @@
 echoServer = ns.UdpEchoServerHelper(9)
 
 serverApps = echoServer.Install(csmaNodes.Get(nCsma.value))
-serverApps.Start(ns.Seconds(1.0))
-serverApps.Stop(ns.Seconds(10.0))
+serverApps.Start(ns.Seconds(1))
+serverApps.Stop(ns.Seconds(10))
 
 echoClient = ns.UdpEchoClientHelper(csmaInterfaces.GetAddress(nCsma.value).ConvertTo(), 9)
 echoClient.SetAttribute("MaxPackets", ns.UintegerValue(1))
-echoClient.SetAttribute("Interval", ns.TimeValue(ns.Seconds(1.0)))
+echoClient.SetAttribute("Interval", ns.TimeValue(ns.Seconds(1)))
 echoClient.SetAttribute("PacketSize", ns.UintegerValue(1024))
 
 clientApps = echoClient.Install(wifiStaNodes.Get(nWifi.value - 1))
-clientApps.Start(ns.Seconds(2.0))
-clientApps.Stop(ns.Seconds(10.0))
+clientApps.Start(ns.Seconds(2))
+clientApps.Stop(ns.Seconds(10))
 
 ns.Ipv4GlobalRoutingHelper.PopulateRoutingTables()
 
-ns.Simulator.Stop(ns.Seconds(10.0))
+ns.Simulator.Stop(ns.Seconds(10))
 
 if tracing.value:
     phy.SetPcapDataLinkType(phy.DLT_IEEE802_11_RADIO)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/tutorial/tutorial-app.h ns-3.44/examples/tutorial/tutorial-app.h
--- ns-3.43/examples/tutorial/tutorial-app.h	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/tutorial/tutorial-app.h	2025-03-09 16:55:49.335371000 -0700
@@ -25,17 +25,17 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Setup the socket.
-     * \param socket The socket.
-     * \param address The destination address.
-     * \param packetSize The packet size to transmit.
-     * \param nPackets The number of packets to transmit.
-     * \param dataRate the data rate to use.
+     * @param socket The socket.
+     * @param address The destination address.
+     * @param packetSize The packet size to transmit.
+     * @param nPackets The number of packets to transmit.
+     * @param dataRate the data rate to use.
      */
     void Setup(Ptr<Socket> socket,
                Address address,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/udp/udp-echo.cc ns-3.44/examples/udp/udp-echo.cc
--- ns-3.43/examples/udp/udp-echo.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/udp/udp-echo.cc	2025-03-09 16:55:49.335371000 -0700
@@ -92,8 +92,8 @@
     uint16_t port = 9; // well-known echo port number
     UdpEchoServerHelper server(port);
     ApplicationContainer apps = server.Install(n.Get(1));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     //
     // Create a UdpEchoClient application to send UDP datagrams from node zero to
@@ -107,8 +107,8 @@
     client.SetAttribute("Interval", TimeValue(interPacketInterval));
     client.SetAttribute("PacketSize", UintegerValue(packetSize));
     apps = client.Install(n.Get(0));
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(2));
+    apps.Stop(Seconds(10));
 
 #if 0
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/udp-client-server/udp-client-server.cc ns-3.44/examples/udp-client-server/udp-client-server.cc
--- ns-3.43/examples/udp-client-server/udp-client-server.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/udp-client-server/udp-client-server.cc	2025-03-09 16:55:49.335371000 -0700
@@ -82,8 +82,8 @@
     uint16_t port = 4000;
     UdpServerHelper server(port);
     ApplicationContainer apps = server.Install(n.Get(1));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     NS_LOG_INFO("Create UdpClient application on node 0 to send to node 1.");
     uint32_t MaxPacketSize = 1024;
@@ -94,8 +94,8 @@
     client.SetAttribute("Interval", TimeValue(interPacketInterval));
     client.SetAttribute("PacketSize", UintegerValue(MaxPacketSize));
     apps = client.Install(n.Get(0));
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(2));
+    apps.Stop(Seconds(10));
 
     NS_LOG_INFO("Run Simulation.");
     Simulator::Run();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/udp-client-server/udp-trace-client-server.cc ns-3.44/examples/udp-client-server/udp-trace-client-server.cc
--- ns-3.43/examples/udp-client-server/udp-trace-client-server.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/udp-client-server/udp-trace-client-server.cc	2025-03-09 16:55:49.335371000 -0700
@@ -34,6 +34,7 @@
     // Declare variables used in command-line arguments
     bool useV6 = false;
     bool logging = true;
+    uint16_t port = 4000;
     Address serverAddress;
 
     CommandLine cmd(__FILE__);
@@ -67,30 +68,29 @@
         Ipv4AddressHelper ipv4;
         ipv4.SetBase("10.1.1.0", "255.255.255.0");
         Ipv4InterfaceContainer i = ipv4.Assign(d);
-        serverAddress = Address(i.GetAddress(1));
+        serverAddress = InetSocketAddress(i.GetAddress(1), port);
     }
     else
     {
         Ipv6AddressHelper ipv6;
         ipv6.SetBase("2001:0000:f00d:cafe::", Ipv6Prefix(64));
         Ipv6InterfaceContainer i6 = ipv6.Assign(d);
-        serverAddress = Address(i6.GetAddress(1, 1));
+        serverAddress = Inet6SocketAddress(i6.GetAddress(1, 1), port);
     }
 
     NS_LOG_INFO("Create UdpServer application on node 1.");
-    uint16_t port = 4000;
     UdpServerHelper server(port);
     ApplicationContainer apps = server.Install(n.Get(1));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     NS_LOG_INFO("Create UdpClient application on node 0 to send to node 1.");
     uint32_t MaxPacketSize = 1472; // Back off 20 (IP) + 8 (UDP) bytes from MTU
-    UdpTraceClientHelper client(serverAddress, port, "");
+    UdpTraceClientHelper client(serverAddress);
     client.SetAttribute("MaxPacketSize", UintegerValue(MaxPacketSize));
     apps = client.Install(n.Get(0));
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(2));
+    apps.Stop(Seconds(10));
 
     NS_LOG_INFO("Run Simulation.");
     Simulator::Run();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/CMakeLists.txt ns-3.44/examples/wireless/CMakeLists.txt
--- ns-3.43/examples/wireless/CMakeLists.txt	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/wireless/CMakeLists.txt	2025-03-09 16:55:49.335371000 -0700
@@ -298,3 +298,14 @@
   LIBRARIES_TO_LINK ${libwifi}
                     ${libapplications}
 )
+
+build_example(
+  NAME wifi-multicast
+  SOURCE_FILES wifi-multicast.cc
+  LIBRARIES_TO_LINK
+    ${libwifi}
+    ${libcore}
+    ${libnetwork}
+    ${libapplications}
+    ${libinternet}
+)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/examples-to-run.py ns-3.44/examples/wireless/examples-to-run.py
--- ns-3.43/examples/wireless/examples-to-run.py	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/wireless/examples-to-run.py	2025-03-09 16:55:49.335371000 -0700
@@ -180,7 +180,7 @@
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.23s --udp=0 --downlink=1 --useRts=0 --nStations=4 --dlAckType=ACK-SU-FORMAT --enableUlOfdma=1 --enableBsrp=0 --mcs=6 --frequency2=6  --minExpectedThroughput=60 --maxExpectedThroughput=430",
+        "wifi-eht-network --simulationTime=0.23s --udp=0 --downlink=1 --useRts=0 --nStations=4 --dlAckType=ACK-SU-FORMAT --enableUlOfdma=1 --enableBsrp=0 --mcs=6 --frequency2=6 --minExpectedThroughput=35 --maxExpectedThroughput=404",
         "True",
         "True",
     ),
@@ -195,7 +195,37 @@
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.25s --udp=0 --downlink=0 --useRts=0 --nStations=4 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mpduBufferSize=1024 --mcs=8 --muSchedAccessReqInterval=45ms --frequency2=6 --minExpectedThroughput=50 --maxExpectedThroughput=550",
+        "wifi-eht-network --simulationTime=0.25s --udp=0 --downlink=0 --useRts=0 --nStations=4 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mpduBufferSize=1024 --mcs=8 --muSchedAccessReqInterval=45ms --frequency2=6 --minExpectedThroughput=50 --maxExpectedThroughput=550 --RngRun=7",
+        "True",
+        "True",
+    ),
+    (
+        "wifi-eht-network --simulationTime=0.2s --frequency=2.4 --frequency2=5 --guardInterval=1600 --udp=0 --downlink=1 --useRts=0 --mpduBufferSize=512 --emlsrLinks=0,1 --emlsrPaddingDelay=32 --emlsrTransitionDelay=32 --channelSwitchDelay=32us --emlsrAuxSwitch=True --emlsrAuxTxCapable=True --minExpectedThroughput=5 --maxExpectedThroughput=200",
+        "True",
+        "True",
+    ),
+    (
+        "wifi-eht-network --simulationTime=0.2s --frequency=2.4 --frequency2=5 --guardInterval=1600 --udp=0 --downlink=1 --useRts=1 --mpduBufferSize=512 --emlsrLinks=0,1 --emlsrPaddingDelay=64 --emlsrTransitionDelay=64 --channelSwitchDelay=64us --emlsrMgrTypeId=ns3::AdvancedEmlsrManager --emlsrAuxSwitch=False --emlsrAuxTxCapable=True --minExpectedThroughput=5 --maxExpectedThroughput=190",
+        "True",
+        "True",
+    ),
+    (
+        "wifi-eht-network --simulationTime=0.2s --frequency=2.4 --frequency2=5 --guardInterval=1600 --udp=0 --downlink=0 --useRts=0 --mpduBufferSize=512 --emlsrLinks=0,1 --emlsrPaddingDelay=0 --emlsrTransitionDelay=0 --channelSwitchDelay=1ns --emlsrMgrTypeId=ns3::AdvancedEmlsrManager --emlsrAuxSwitch=False --emlsrAuxTxCapable=False --minExpectedThroughput=5 --maxExpectedThroughput=40 --RngRun=7",
+        "True",
+        "True",
+    ),
+    (
+        "wifi-eht-network --simulationTime=0.3s --frequency=2.4 --frequency2=5 --frequency3=6 --guardInterval=1600 --udp=0 --downlink=1 --useRts=0 --mpduBufferSize=512 --emlsrLinks=0,1,2 --emlsrPaddingDelay=32 --emlsrTransitionDelay=32 --channelSwitchDelay=32us --emlsrAuxSwitch=True --emlsrAuxTxCapable=True --nStations=4 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=0 --mcs=0,3,5,9,10 --minExpectedThroughput=8 --maxExpectedThroughput=300 --RngRun=6",
+        "True",
+        "True",
+    ),
+    (
+        "wifi-eht-network --simulationTime=0.3s --frequency=2.4 --frequency2=5 --frequency3=6 --guardInterval=1600 --udp=0 --downlink=0 --useRts=1 --mpduBufferSize=512 --emlsrLinks=0,1,2 --emlsrPaddingDelay=64 --emlsrTransitionDelay=64 --channelSwitchDelay=64us --emlsrAuxSwitch=False --emlsrAuxTxCapable=True --nStations=4 --dlAckType=MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mcs=1,4,8,11,13 --minExpectedThroughput=10 --maxExpectedThroughput=260 --RngRun=4",
+        "True",
+        "True",
+    ),
+    (
+        "wifi-eht-network --simulationTime=0.3s --frequency=2.4 --frequency2=5 --frequency3=6 --guardInterval=1600 --udp=0 --downlink=0 --useRts=1 --mpduBufferSize=512 --emlsrLinks=0,1,2 --emlsrPaddingDelay=0 --emlsrTransitionDelay=0 --channelSwitchDelay=1ns --emlsrMgrTypeId=ns3::AdvancedEmlsrManager --emlsrAuxSwitch=False --emlsrAuxTxCapable=False --nStations=4 --dlAckType=ACK-SU-FORMAT --enableUlOfdma=1 --enableBsrp=1 --mcs=1,5,8,11 --minExpectedThroughput=8 --maxExpectedThroughput=288 --RngRun=5",
         "True",
         "True",
     ),
@@ -264,6 +294,51 @@
         "True",
         "False",
     ),
+    (
+        "wifi-multicast --minExpectedPackets=10",
+        "True",
+        "True",
+    ),
+    (
+        "wifi-multicast --gcrRetransmissionPolicy=GcrUr --minExpectedPackets=10",
+        "True",
+        "True",
+    ),
+    (
+        "wifi-multicast --gcrRetransmissionPolicy=GcrUr --multicastFrameErrorRate=0.2 --minExpectedPackets=10",
+        "True",
+        "True",
+    ),
+    (
+        "wifi-multicast --gcrRetransmissionPolicy=GcrUr --maxAmpduLength=65535 --maxPackets=0 --nStations=4 --dataRate=50Mbps --gcrProtection=Rts-Cts --rtsThreshold=0 --simulationTime=1 --minExpectedThroughput=35 --maxExpectedThroughput=40",
+        "True",
+        "True",
+    ),
+    (
+        "wifi-multicast --gcrRetransmissionPolicy=GcrUr --maxAmpduLength=65535 --maxPackets=0 --nStations=4 --dataRate=50Mbps --gcrProtection=Cts-To-Self --simulationTime=1 --minExpectedThroughput=40 --maxExpectedThroughput=45",
+        "True",
+        "True",
+    ),
+    (
+        "wifi-multicast --gcrRetransmissionPolicy=GcrBlockAck --minExpectedPackets=10",
+        "True",
+        "True",
+    ),
+    (
+        "wifi-multicast --gcrRetransmissionPolicy=GcrBlockAck --multicastFrameErrorRate=0.2 --minExpectedPackets=10",
+        "True",
+        "True",
+    ),
+    (
+        "wifi-multicast --gcrRetransmissionPolicy=GcrBlockAck --maxAmpduLength=65535 --maxPackets=0 --nStations=4 --dataRate=100Mbps --gcrProtection=Rts-Cts --rtsThreshold=0 --simulationTime=1s --minExpectedThroughput=100 --maxExpectedThroughput=100",
+        "True",
+        "True",
+    ),
+    (
+        "wifi-multicast --gcrRetransmissionPolicy=GcrBlockAck --maxAmpduLength=65535 --maxPackets=0 --nStations=4 --dataRate=100Mbps --gcrProtection=Cts-To-Self --simulationTime=1s --minExpectedThroughput=100 --maxExpectedThroughput=100",
+        "True",
+        "True",
+    ),
 ]
 
 # A list of Python examples to run in order to ensure that they remain
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/mixed-wired-wireless.cc ns-3.44/examples/wireless/mixed-wired-wireless.cc
--- ns-3.43/examples/wireless/mixed-wired-wireless.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/wireless/mixed-wired-wireless.cc	2025-03-09 16:55:49.335371000 -0700
@@ -72,8 +72,8 @@
  * This function will be used below as a trace sink, if the command-line
  * argument or default value "useCourseChangeCallback" is set to true
  *
- * \param path The callback path.
- * \param model The mobility model.
+ * @param path The callback path.
+ * @param model The mobility model.
  */
 static void
 CourseChangeCallback(std::string path, Ptr<const MobilityModel> model)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-80211e-txop.cc ns-3.44/examples/wireless/wifi-80211e-txop.cc
--- ns-3.43/examples/wireless/wifi-80211e-txop.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/wireless/wifi-80211e-txop.cc	2025-03-09 16:55:49.335371000 -0700
@@ -63,12 +63,12 @@
     /**
      * Callback connected to TXOP duration trace source.
      *
-     * \param startTime TXOP start time
-     * \param duration TXOP duration
-     * \param linkId the ID of the link
+     * @param startTime TXOP start time
+     * @param duration TXOP duration
+     * @param linkId the ID of the link
      */
     void Trace(Time startTime, Time duration, uint8_t linkId);
-    Time m_max{Seconds(0)}; //!< maximum TXOP duration
+    Time m_max; //!< maximum TXOP duration
 };
 
 void
@@ -284,8 +284,8 @@
     uint16_t port = 5001;
     UdpServerHelper serverA(port);
     ApplicationContainer serverAppA = serverA.Install(wifiApNodes.Get(0));
-    serverAppA.Start(Seconds(0.0));
-    serverAppA.Stop(simulationTime + Seconds(1.0));
+    serverAppA.Start(Seconds(0));
+    serverAppA.Stop(simulationTime + Seconds(1));
 
     InetSocketAddress destA(ApInterfaceA.GetAddress(0), port);
 
@@ -297,13 +297,13 @@
     clientA.SetAttribute("Tos", UintegerValue(0x70)); // AC_BE
 
     ApplicationContainer clientAppA = clientA.Install(wifiStaNodes.Get(0));
-    clientAppA.Start(Seconds(1.0));
-    clientAppA.Stop(simulationTime + Seconds(1.0));
+    clientAppA.Start(Seconds(1));
+    clientAppA.Stop(simulationTime + Seconds(1));
 
     UdpServerHelper serverB(port);
     ApplicationContainer serverAppB = serverB.Install(wifiApNodes.Get(1));
-    serverAppB.Start(Seconds(0.0));
-    serverAppB.Stop(simulationTime + Seconds(1.0));
+    serverAppB.Start(Seconds(0));
+    serverAppB.Stop(simulationTime + Seconds(1));
 
     InetSocketAddress destB(ApInterfaceB.GetAddress(0), port);
 
@@ -315,13 +315,13 @@
     clientB.SetAttribute("Tos", UintegerValue(0x70)); // AC_BE
 
     ApplicationContainer clientAppB = clientB.Install(wifiStaNodes.Get(1));
-    clientAppB.Start(Seconds(1.0));
-    clientAppB.Stop(simulationTime + Seconds(1.0));
+    clientAppB.Start(Seconds(1));
+    clientAppB.Stop(simulationTime + Seconds(1));
 
     UdpServerHelper serverC(port);
     ApplicationContainer serverAppC = serverC.Install(wifiApNodes.Get(2));
-    serverAppC.Start(Seconds(0.0));
-    serverAppC.Stop(simulationTime + Seconds(1.0));
+    serverAppC.Start(Seconds(0));
+    serverAppC.Stop(simulationTime + Seconds(1));
 
     InetSocketAddress destC(ApInterfaceC.GetAddress(0), port);
 
@@ -333,13 +333,13 @@
     clientC.SetAttribute("Tos", UintegerValue(0xb8)); // AC_VI
 
     ApplicationContainer clientAppC = clientC.Install(wifiStaNodes.Get(2));
-    clientAppC.Start(Seconds(1.0));
-    clientAppC.Stop(simulationTime + Seconds(1.0));
+    clientAppC.Start(Seconds(1));
+    clientAppC.Stop(simulationTime + Seconds(1));
 
     UdpServerHelper serverD(port);
     ApplicationContainer serverAppD = serverD.Install(wifiApNodes.Get(3));
-    serverAppD.Start(Seconds(0.0));
-    serverAppD.Stop(simulationTime + Seconds(1.0));
+    serverAppD.Start(Seconds(0));
+    serverAppD.Stop(simulationTime + Seconds(1));
 
     InetSocketAddress destD(ApInterfaceD.GetAddress(0), port);
 
@@ -351,8 +351,8 @@
     clientD.SetAttribute("Tos", UintegerValue(0xb8)); // AC_VI
 
     ApplicationContainer clientAppD = clientD.Install(wifiStaNodes.Get(3));
-    clientAppD.Start(Seconds(1.0));
-    clientAppD.Stop(simulationTime + Seconds(1.0));
+    clientAppD.Start(Seconds(1));
+    clientAppD.Stop(simulationTime + Seconds(1));
 
     if (enablePcap)
     {
@@ -366,7 +366,7 @@
         phy.EnablePcap("STA_D", staDeviceD.Get(0));
     }
 
-    Simulator::Stop(simulationTime + Seconds(1.0));
+    Simulator::Stop(simulationTime + Seconds(1));
     Simulator::Run();
 
     /* Show results */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-80211n-mimo.cc ns-3.44/examples/wireless/wifi-80211n-mimo.cc
--- ns-3.43/examples/wireless/wifi-80211n-mimo.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/wireless/wifi-80211n-mimo.cc	2025-03-09 16:55:49.335371000 -0700
@@ -204,7 +204,7 @@
 
             /* Setting applications */
             const auto maxLoad = HtPhy::GetDataRate(i,
-                                                    channelBonding ? 40 : 20,
+                                                    channelBonding ? MHz_u{40} : MHz_u{20},
                                                     NanoSeconds(shortGuardInterval ? 400 : 800),
                                                     nStreams);
             ApplicationContainer serverApp;
@@ -214,8 +214,8 @@
                 uint16_t port = 9;
                 UdpServerHelper server(port);
                 serverApp = server.Install(wifiStaNode.Get(0));
-                serverApp.Start(Seconds(0.0));
-                serverApp.Stop(simulationTime + Seconds(1.0));
+                serverApp.Start(Seconds(0));
+                serverApp.Stop(simulationTime + Seconds(1));
                 const auto packetInterval = payloadSize * 8.0 / maxLoad;
 
                 UdpClientHelper client(staNodeInterface.GetAddress(0), port);
@@ -223,8 +223,8 @@
                 client.SetAttribute("Interval", TimeValue(Seconds(packetInterval)));
                 client.SetAttribute("PacketSize", UintegerValue(payloadSize));
                 ApplicationContainer clientApp = client.Install(wifiApNode.Get(0));
-                clientApp.Start(Seconds(1.0));
-                clientApp.Stop(simulationTime + Seconds(1.0));
+                clientApp.Start(Seconds(1));
+                clientApp.Stop(simulationTime + Seconds(1));
             }
             else
             {
@@ -233,8 +233,8 @@
                 Address localAddress(InetSocketAddress(Ipv4Address::GetAny(), port));
                 PacketSinkHelper packetSinkHelper("ns3::TcpSocketFactory", localAddress);
                 serverApp = packetSinkHelper.Install(wifiStaNode.Get(0));
-                serverApp.Start(Seconds(0.0));
-                serverApp.Stop(simulationTime + Seconds(1.0));
+                serverApp.Start(Seconds(0));
+                serverApp.Stop(simulationTime + Seconds(1));
 
                 OnOffHelper onoff("ns3::TcpSocketFactory", Ipv4Address::GetAny());
                 onoff.SetAttribute("OnTime",
@@ -246,13 +246,13 @@
                 AddressValue remoteAddress(InetSocketAddress(staNodeInterface.GetAddress(0), port));
                 onoff.SetAttribute("Remote", remoteAddress);
                 ApplicationContainer clientApp = onoff.Install(wifiApNode.Get(0));
-                clientApp.Start(Seconds(1.0));
-                clientApp.Stop(simulationTime + Seconds(1.0));
+                clientApp.Start(Seconds(1));
+                clientApp.Stop(simulationTime + Seconds(1));
             }
 
             Ipv4GlobalRoutingHelper::PopulateRoutingTables();
 
-            Simulator::Stop(simulationTime + Seconds(1.0));
+            Simulator::Stop(simulationTime + Seconds(1));
             Simulator::Run();
 
             double throughput = 0;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-adhoc.cc ns-3.44/examples/wireless/wifi-adhoc.cc
--- ns-3.43/examples/wireless/wifi-adhoc.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/wireless/wifi-adhoc.cc	2025-03-09 16:55:49.335371000 -0700
@@ -36,17 +36,17 @@
     Experiment();
     /**
      * Constructor.
-     * \param name The name of the experiment.
+     * @param name The name of the experiment.
      */
     Experiment(std::string name);
 
     /**
      * Run an experiment.
-     * \param wifi      //!< The WifiHelper class.
-     * \param wifiPhy   //!< The YansWifiPhyHelper class.
-     * \param wifiMac   //!< The WifiMacHelper class.
-     * \param wifiChannel //!< The YansWifiChannelHelper class.
-     * \return a 2D dataset of the experiment data.
+     * @param wifi      //!< The WifiHelper class.
+     * @param wifiPhy   //!< The YansWifiPhyHelper class.
+     * @param wifiMac   //!< The WifiMacHelper class.
+     * @param wifiChannel //!< The YansWifiChannelHelper class.
+     * @return a 2D dataset of the experiment data.
      */
     Gnuplot2dDataset Run(const WifiHelper& wifi,
                          const YansWifiPhyHelper& wifiPhy,
@@ -56,30 +56,30 @@
   private:
     /**
      * Receive a packet.
-     * \param socket The receiving socket.
+     * @param socket The receiving socket.
      */
     void ReceivePacket(Ptr<Socket> socket);
     /**
      * Set the position of a node.
-     * \param node The node.
-     * \param position The position of the node.
+     * @param node The node.
+     * @param position The position of the node.
      */
     void SetPosition(Ptr<Node> node, Vector position);
     /**
      * Get the position of a node.
-     * \param node The node.
-     * \return the position of the node.
+     * @param node The node.
+     * @return the position of the node.
      */
     Vector GetPosition(Ptr<Node> node);
     /**
      * Move a node by 1m on the x axis, stops at 210m.
-     * \param node The node.
+     * @param node The node.
      */
     void AdvancePosition(Ptr<Node> node);
     /**
      * Setup the receiving socket.
-     * \param node The receiving node.
-     * \return the socket.
+     * @param node The receiving node.
+     * @return the socket.
      */
     Ptr<Socket> SetupPacketReceive(Ptr<Node> node);
 
@@ -124,7 +124,7 @@
         return;
     }
     SetPosition(node, pos);
-    Simulator::Schedule(Seconds(1.0), &Experiment::AdvancePosition, this, node);
+    Simulator::Schedule(Seconds(1), &Experiment::AdvancePosition, this, node);
 }
 
 void
@@ -186,7 +186,7 @@
 
     ApplicationContainer apps = onoff.Install(c.Get(0));
     apps.Start(Seconds(0.5));
-    apps.Stop(Seconds(250.0));
+    apps.Stop(Seconds(250));
 
     Simulator::Schedule(Seconds(1.5), &Experiment::AdvancePosition, this, c.Get(1));
     Ptr<Socket> recvSink = SetupPacketReceive(c.Get(1));
